Loading...
Searching...
No Matches
array.h File Reference
Utilities » Array

pipewire/array.h More...

Go to the source code of this file.

## Data Structures

struct | pw_array

## Macros

#define | PW_API_ARRAY static inline
#define | PW_ARRAY_INIT(extend)
| Initialize an array.
#define | pw_array_get_len_s(a, s)
| Return the length of an array.
#define | pw_array_get_unchecked_s(a, idx, s, t)
#define | pw_array_check_index_s(a, idx, s)
#define | pw_array_get_len(a, t)
| Get the number of items of type t in array.
#define | pw_array_get_unchecked(a, idx, t)
| Get the item with index idx and type t from array.
#define | pw_array_check_index(a, idx, t)
| Check if an item with index idx and type t exist in array.
#define | pw_array_first(a)
#define | pw_array_end(a)
#define | pw_array_check(a, p)
#define | pw_array_for_each(pos, array)
#define | pw_array_consume(pos, array)
#define | pw_array_remove(a, p)

## Functions

PW_API_ARRAY void | pw_array_init (struct pw_array *arr, size_t extend)
| Initialize the array with given extend.
PW_API_ARRAY void | pw_array_clear (struct pw_array *arr)
| Clear the array.
PW_API_ARRAY void | pw_array_init_static (struct pw_array *arr, void *data, size_t size)
| Initialize a static array.
PW_API_ARRAY void | pw_array_reset (struct pw_array *arr)
| Reset the array.
PW_API_ARRAY int | pw_array_ensure_size (struct pw_array *arr, size_t size)
| Make sure size bytes can be added to the array.
PW_API_ARRAY void * | pw_array_add (struct pw_array *arr, size_t size)
| Add ref size bytes to arr.
PW_API_ARRAY int | pw_array_add_ptr (struct pw_array *arr, void *ptr)
| Add a pointer to array.

## Detailed Description

pipewire/array.h

## Macro Definition Documentation

## PW_API_ARRAY

#define PW_API_ARRAY static inline